Last Comment Bug 651975 - [OS/2] pyxpt doesn't work - no python mmap module found
: [OS/2] pyxpt doesn't work - no python mmap module found
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 OS/2
: -- major (vote)
: mozilla6
Assigned To: Mike Hommey [:glandium]
:
Mentors:
Depends on:
Blocks: 643817
  Show dependency treegraph
 
Reported: 2011-04-21 14:33 PDT by Walter Meinl
Modified: 2011-05-03 05:08 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
possible patch (2.22 KB, patch)
2011-04-22 01:41 PDT, Mike Hommey [:glandium]
ted: review+
Details | Diff | Review

Description Walter Meinl 2011-04-21 14:33:05 PDT
User-Agent:       Mozilla/5.0 (OS/2; Warp 4.5; rv:2.0.1) Gecko/20100101 Firefox/4.0.1
Build Identifier: 

E:/python26/python.exe ../../dist/sdk/bin/xpt.py link _xpidlgen/xpcom_base.xpt _xpidlgen/nsIConsoleListener.xpt _xpidlgen/nsIConsoleMessage.xpt _xpidlgen/nsIConsoleService.xpt _xpidlgen/nsICycleCollectorListener.xpt _xpidlgen/nsIDebug2.xpt _xpidlgen/nsIErrorService.xpt _xpidlgen/nsIException.xpt _xpidlgen/nsIExceptionService.xpt _xpidlgen/nsIVersionComparator.xpt _xpidlgen/nsIUUIDGenerator.xpt _xpidlgen/nsIMutable.xpt _xpidlgen/nsIMemoryReporter.xpt _xpidlgen/nsIDebug.xpt _xpidlgen/nsIInterfaceRequestor.xpt _xpidlgen/nsIMemory.xpt _xpidlgen/nsIProgrammingLanguage.xpt _xpidlgen/nsISupports.xpt _xpidlgen/nsITraceRefcnt.xpt _xpidlgen/nsIWeakReference.xpt _xpidlgen/nsrootidl.xpt
Traceback (most recent call last):
  File "../../dist/sdk/bin/xpt.py", line 69, in <module>
    import mmap
ImportError: No module named mmap
make.exe[6]: *** [_xpidlgen/xpcom_base.xpt] Error 1


Reproducible: Always
Comment 1 Mike Hommey [:glandium] 2011-04-22 01:41:12 PDT
Created attachment 527740 [details] [diff] [review]
possible patch

This passes the unit tests, but could you check if that works properly with a full build?
Comment 2 Walter Meinl 2011-04-23 14:22:24 PDT
(In reply to comment #1)
> Created attachment 527740 [details] [diff] [review]
> possible patch
> 
> This passes the unit tests, but could you check if that works properly with a
> full build?

Yep, this patch works for building on OS/2 and linux.
Comment 3 Ted Mielczarek [:ted.mielczarek] 2011-04-27 11:08:13 PDT
Comment on attachment 527740 [details] [diff] [review]
possible patch

Review of attachment 527740 [details] [diff] [review]:

I guess this is fine. I liked the conceptual purity of the mmap, but in practice XPT files are small so it doesn't matter much.
Comment 4 Mike Hommey [:glandium] 2011-05-03 01:38:10 PDT
http://hg.mozilla.org/mozilla-central/rev/eebcd14c9c46

ted, do you want this landed on http://hg.mozilla.org/users/tmielczarek_mozilla.com/pyxpt/, too ?
Comment 5 Ted Mielczarek [:ted.mielczarek] 2011-05-03 04:45:35 PDT
Yeah, might as well keep them in sync for now.
Comment 6 Mike Hommey [:glandium] 2011-05-03 05:08:22 PDT
Pushed http://hg.mozilla.org/users/tmielczarek_mozilla.com/pyxpt/rev/3b0d14d5563a

Note You need to log in before you can comment on or make changes to this bug.